@Echo off
Goto start
Rem	Name:		"prompt3.bat"
Rem	Found:		PC Plus
Rem	Issues:		8/88
Rem	Page:		126
Rem	Article:		Superprompt
Rem 	Usage:
Rem	Makes the DOS prompt look alike the OS/2 prompt
Rem	Command explanations:
Rem		$e[s		SCP	Save Cursor Position
Rem		Se[?7l	RM	Reset Mode
Rem				?7 resets the mode that causes wrapping
Rem				at the end of the line
Rem		$e[0;1;37;44m	SGR	Set Graphics Rendition
Rem				0 resets all attributes and then turns
Rem				bold mode on, sets foreground color to
Rem				white and background color to blue
Rem		$e[1;1H	CUP	Cursor Position
Rem				Sets cursor to HOME position of screen
Rem				Equal to $e[H
Rem		$e[K		EL	Erase Line
Rem				Erases line from current cursor position
Rem				on
Rem		$p		Displays current path
Rem		$g		Displays greater symbol
Rem		$e[1;56H	CUP
Rem				Sets cursor to position 56 of line 1
Rem		$t		Displays system time
Rem		$e[6D	CUB	Cursor Backward
Rem				Moves cursor 6 (in this case) columns
Rem				backwards (left) without changing lines. If far
Rem				left column is already reached, then further moves
Rem				will be ignored.
Rem		$d		Displays system date
Rem		$e[u		RCP	Restore Cursor Position
Rem				Restores cursor to the position which was
Rem				priviously saved by the sequence $e[s
Rem		$e[0;1m	SGR
Rem				Analog to command above, except 1 turns the bold
Rem				character mode on
Rem				Command line symbol (almost free choice)
Rem		$e[0m	SGR
Rem				Turns all attributes off
Rem 
Rem		Short form of the Prompt command below:
Rem		prompt $e[s$e[?7l$e[1;44m$e[H$e[K$p$e[1;59H
Rem			  $t$e[6D / $d$e[u$e[0;1m  $e[m
:Start					
prompt $e[s$e[0;1;37;44m$e[1;1H$e[K$p$e[1;59H$t$e[6D / $d$e[u$e[0;1m====$g  $e[0m
